Apache JMeter

## org.apache.jmeter.threads
Class SetupThreadGroup

    java.lang.Object
      org.apache.jmeter.testelement.AbstractTestElement
          org.apache.jmeter.threads.AbstractThreadGroup
              org.apache.jmeter.threads.ThreadGroup
                  org.apache.jmeter.threads.SetupThreadGroup

All Implemented Interfaces:
  Serializable, Cloneable, Controller, TestElement

    public class SetupThreadGroup

extends ThreadGroup

SetupThreadGroup.java is a special type of ThreadGroup that can be used for setting up of a test before the bulk of the test executes later.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.jmeter.threads.ThreadGroup
`DELAY, DURATION, END_TIME, RAMP_TIME, SCHEDULER, START_TIME`

Fields inherited from class org.apache.jmeter.threads.AbstractThreadGroup
`MAIN_CONTROLLER, NUM_THREADS, ON_SAMPLE_ERROR, ON_SAMPLE_ERROR_CONTINUE, ON_SAMPLE_ERROR_START_NEXT_LOOP, ON_SAMPLE_ERROR_STOPTEST, ON_SAMPLE_ERROR_STOPTEST_NOW, ON_SAMPLE_ERROR_STOPTHREAD`

Fields inherited from interface org.apache.jmeter.testelement.TestElement
`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

Constructor Summary
`SetupThreadGroup()`

Method Summary

Methods inherited from class org.apache.jmeter.threads.ThreadGroup
`getDelay, getDuration, getEndTime, getRampUp, getScheduler, getStartTime, scheduleThread, setDelay, setDuration, setEndTime, setRampUp, setScheduler, setStartTime`

Methods inherited from class org.apache.jmeter.threads.AbstractThreadGroup
`addIterationListener, addTestElement, getNumberOfThreads, getNumThreads, getOnErrorStartNextLoop, getOnErrorStopTest, getOnErrorStopTestNow, getOnErrorStopThread, getSamplerController, initialize, isDone, next, removeIterationListener, setNumThreads, setSamplerController`

Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

`addProperty, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.jmeter.testelement.TestElement

`canRemove, clear, clearTestElementChildren, clone, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getThreadContext, getThreadName, isEnabled, isRunningVersion, isTemporary, propertyIterator, recoverRunningVersion, removeProperty, setComment, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse`

Constructor Detail

### SetupThreadGroup

    public SetupThreadGroup()

Apache JMeter

Copyright © 1998-2011 Apache Software Foundation. All Rights Reserved.